aboutsummaryrefslogtreecommitdiffstats
path: root/testing/attica/APKBUILD
diff options
context:
space:
mode:
authorLinux User <se@alpine-desktop.my.domain>2014-10-16 19:52:25 +0400
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-17 13:52:16 +0000
commit9085b73f09d41af164193a3e0b5e22fcce80d503 (patch)
tree5d2e5fa503bf2540ddeed992a4aba407ffa24649 /testing/attica/APKBUILD
parent276617c77708f50d68ba9b4c87a866399ddd7250 (diff)
downloadaports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.gz
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.bz2
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.xz
Added KDE core packages
Diffstat (limited to 'testing/attica/APKBUILD')
-rw-r--r--testing/attica/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/testing/attica/APKBUILD b/testing/attica/APKBUILD
index d788eff2d6..4b7c2e7cdb 100644
--- a/testing/attica/APKBUILD
+++ b/testing/attica/APKBUILD
@@ -1,11 +1,11 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer:
pkgname=attica
-pkgver=0.4.1
+pkgver=0.4.2
pkgrel=0
pkgdesc="Freedesktop OCS binding for Qt"
url="http://www.kde.org/"
-arch=""
+arch="all"
license="LGPL2+"
depends=""
depends_dev="qt-dev"
@@ -28,7 +28,11 @@ prepare() {
build() {
cd "$_builddir"/build
- cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=ON "$_builddir" || return 1
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DQT4_BUILD=ON \
+ -Wno-dev \
+ "$_builddir" || return 1
make || return 1
}
@@ -37,6 +41,6 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="b90983ec5d79e5ddcbc9146fa23cab72 attica-0.4.1.tar.bz2"
-sha256sums="36d12562c11464e3111df8a36669adcd80c5f3c89ac6b08a708a1bbf8341cde6 attica-0.4.1.tar.bz2"
-sha512sums="76d91e66c9661fcd03f61595e9ed4db9fb6972d90e187137ec2ed31e6e329d22a2da08cb23ad10a2385d1da2e60576fd3e743b8fb32c8ab87440f82bef4f99f9 attica-0.4.1.tar.bz2"
+md5sums="d62c5c9489a68432e8d990dde7680c24 attica-0.4.2.tar.bz2"
+sha256sums="3b9c53770862c0b21b7af7ea15951c35831126022bb8d052760d9cf8bd7ee4f8 attica-0.4.2.tar.bz2"
+sha512sums="cef5d5c4bf01ed45ed8b59db354a4ac7949de435a45e4f753c847cadc15855e25997dedf1ff20c7bc4a2724d2cdba15139c54f0682df7d8cc8750de5be6f716e attica-0.4.2.tar.bz2"